Announcement

Collapse
No announcement yet.

NVIDIA GameWorks Integration

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    How many times has the "how to merge" question been asked now? Like 193 so far?

    Comment


      hey,
      Another little question from my site, it's maybe a little bit off topic but i still hope someone can help me out.
      Im runing the current UE4.21 VXGI 2.0 build, everything is working just fine. Yesterday i came accros TrueSky, which looks really nice.
      Since this whole building custom engines thing is abslutely not in my nature, i have kinda absolut no idea how to add TrueSky into my VXGI 2.0 build.

      I was going through the documentation of TrueSky but i still have no idea how to merge TrueSky with my UE4 4.21 VXGI 2.0 Build. Anybody here that can point me in the right direction here ?
      Maybe even someone that has the current VXGI 2.0 build runing with TrueSky ? Do i need to build it from 0 agaiin ? Or is there a way to just ad it into my build like a plugin ?

      Comment


        Originally posted by A-J-K View Post
        hey,
        Another little question from my site, it's maybe a little bit off topic but i still hope someone can help me out.
        Im runing the current UE4.21 VXGI 2.0 build, everything is working just fine. Yesterday i came accros TrueSky, which looks really nice.
        Since this whole building custom engines thing is abslutely not in my nature, i have kinda absolut no idea how to add TrueSky into my VXGI 2.0 build.

        I was going through the documentation of TrueSky but i still have no idea how to merge TrueSky with my UE4 4.21 VXGI 2.0 Build. Anybody here that can point me in the right direction here ?
        Maybe even someone that has the current VXGI 2.0 build runing with TrueSky ? Do i need to build it from 0 agaiin ? Or is there a way to just ad it into my build like a plugin ?
        You just need to install the binary version of TrueSky into the official version of the engine, then copy the plug-in folder into the unconstructed version of VXGI, and build with VXGI to get the VXGI version of TRueSky. Of course, you may have to copy the Simul folder to make sure it works properly.

        Comment


          So i take it flex integration for flex into 4.21 isnt going to happen right?

          Comment


            Originally posted by 0lento View Post
            I actually tried merging volumetric lighting on first tech merges for 4.21 but it resulted in everything flickering in the editor. I could have missed some change though. I'm pretty busy right now on other things but can see if I can try the VL merge again at the end of the year/early next year unless someone else beats me to it.
            thank you for the information.

            Comment


              Originally posted by 0lento View Post
              I actually tried merging volumetric lighting on first tech merges for 4.21 but it resulted in everything flickering in the editor. I could have missed some change though. I'm pretty busy right now on other things but can see if I can try the VL merge again at the end of the year/early next year unless someone else beats me to it.
              Ahh i have done it for myself too.. yeah everything flashing and flickering LIKE crazy... ahh but its good that u have the Problem too. so i dont made an mistake.. phew xD

              Comment


                0lento I wanted to avoid to post my issue here since it's kindoff not the place but I tried every option that i had in mind without succes and my issue is related to your Gameworks 4.21 Git.

                I am absolutely unable to finish the download of the setup.bat, this one always leading to an operation timeout webexception error, I tried to manualy download the related file in the error with my web browser, did not worked in HTTP but it worked perfectly in HTTPS.
                So I edited in VS the GitDependencies.exe and its manifest to use HTTPS instead, the same error occur and the setup.bat do not report that the link was in HTTPS but still in HTTP.
                Firewall and antivirus were also completely turned off during the download, I even did a flush of the DNS, no result.
                So I triend the brute force with the --threads=20, it worked for a time, it was downloading very slowly but it was downloaling at least... until I eventualy get a corrupted package error.

                I did tried to redo the whole process from the begining (cloning your git, then use setup.bat) several times, never worked either, honestly this issue is a complet mystery for me, not the first time that I compile a custom ue4 GameWorks build, never had issue with it, but there... I'm clueless.
                Especialy since the PC is the same, my interned provider is the same as well, except that I have deleted VS2015 (to keep only VS2017), nothing else have changed since the past build compile I did.

                PS: English is not my native language, but I try my best to be understandanle, thanks.

                EDIT: Ok sometime I want to slap my own face, after all those days, I tried the dumbest thing I have left, simply doing a reboot of my internet box... and look like it work, download is resuming, i hope it will complet this time.


                Click image for larger version  Name:	image_153989.png Views:	2 Size:	11.8 KB ID:	1564105
                Last edited by Novarek; 12-20-2018, 12:58 AM.

                Comment


                  Originally posted by Novarek View Post
                  0lento I wanted to avoid to post my issue here since it's kindoff not the place but I tried every option that i had in mind without succes and my issue is related to your Gameworks 4.21 Git.

                  I am absolutely unable to finish the download of the setup.bat, this one always leading to an operation timeout webexception error, I tried to manualy download the related file in the error with my web browser, did not worked in HTTP but it worked perfectly in HTTPS.
                  So I edited in VS the GitDependencies.exe and its manifest to use HTTPS instead, the same error occur and the setup.bat do not report that the link was in HTTPS but still in HTTP.
                  Firewall and antivirus were also completely turned off during the download, I even did a flush of the DNS, no result.
                  So I triend the brute force with the --threads=20, it worked for a time, it was downloading very slowly but it was downloaling at least... until I eventualy get a corrupted package error.

                  I did tried to redo the whole process from the begining (cloning your git, then use setup.bat) several times, never worked either, honestly this issue is a complet mystery for me, not the first time that I compile a custom ue4 GameWorks build, never had issue with it, but there... I'm clueless.
                  Especialy since the PC is the same, my interned provider is the same as well, except that I have deleted VS2015 (to keep only VS2017), nothing else have changed since the past build compile I did.

                  PS: English is not my native language, but I try my best to be understandanle, thanks.

                  EDIT: Ok sometime I want to slap my own face, after all those days, I tried the dumbest thing I have left, simply doing a reboot of my internet box... and look like it work, download is resuming, i hope it will complet this time.


                  Click image for larger version Name:	image_153989.png Views:	2 Size:	11.8 KB ID:	1564105
                  Yeah i got Webexpection everytime when my Internet is Down.

                  Comment


                    Originally posted by KuroSekaie View Post

                    Yeah i got Webexpection everytime when my Internet is Down.
                    The thing is my internet was not down, I was able to download around half of the file requested by the setup.bat, the error comming almost always on the same spot during the download, and again, manual download in HTTP was stuck in a loop while manual download in HTTPS was working like a charm.
                    But anyway, my issue is back, sadly the download did not complet, and I am really near the end of the download (which is even more frustrating), tried a reboot of my internet box again, but did not worked this time and as usual, HTTP stuck in a loop, HTTPS work.

                    Click image for larger version  Name:	Capture.PNG Views:	1 Size:	14.2 KB ID:	1564426

                    Comment


                      I am probably the only person in the world that has tried to do this, but has anyone been able to merge 4.18 VXGI 1 into 4.19+? I went through all of the github diffs manually from 4.18GW to 4.19GW for VXGI and got VXGI 1 into 4.19, but it crashes the engine when I go into lit mode. The tracing works, all the VXGI visualization modes work properly, it does the bounce properly but it crashes engine in lit mode with error about projection matrix mismatching matrices. Does the new dynamic resolution/ matrix/shader method in 4.19 just make VXGI 1 obsolete? I cannot get the previous frame to buffer properly in 4.19....
                      Last edited by Cytokinetik; 12-26-2018, 05:29 AM.

                      Comment


                        4,19,2 is malware and quarentined

                        Comment


                          I got VXGI 1 to work in 4.19 finally, they changed the rendering pipeline in 4.19 to add the dynamic resolution scaling for consoles. If anyone needs VXGI 1 I will probably merge it to 4.20 and 4.21 if I have time. I found it to actually be faster than VXGI 2 in different scenarios....

                          Comment


                            Originally posted by karma4jake View Post
                            I got VXGI 1 to work in 4.19 finally, they changed the rendering pipeline in 4.19 to add the dynamic resolution scaling for consoles. If anyone needs VXGI 1 I will probably merge it to 4.20 and 4.21 if I have time. I found it to actually be faster than VXGI 2 in different scenarios....
                            karma4jake
                            can you merge flex in 4.21????

                            Comment


                              Originally posted by samrat333 View Post

                              karma4jake
                              can you merge flex in 4.21????
                              Maybe Waveworks? Now we seem to lack FLEX and Waveworks in 4.21

                              Comment


                                Someone could also throw in Volumetric Lighting as well along with now released PhysX 4.0 ;D

                                People remember your comments from past few pages, no need to request the same thing every second post. If someone is working on these, I'm sure you'll hear about it.
                                https://github.com/0lento/UnrealEngine (GameWorks tech merges & upgrades, UE4 physics modifications)

                                Comment

                                Working...
                                X